/*
 ........... Sample IO Data API Packet ................................
 
 START_DELIMITER                    7E
 LENGTH MSB                         0
 LENGTH LSB                         12
 FRAME TYPE                         92
 64 BIT SOURCE ADDRESS              0
 13
 A2
 0
 40
 30
 D0
 22
 16 BIT SOURCE NETWORK ADDRESS MSB  C8
 16 BIT SOURCE NETWORK ADDRESS LSB  6D
 RECEIVE OPTIONS                    1
 NUMBER OF SAMPLES                  1
 0
 0
 1
 ANALOG SAMPLE                      0
 0
 CHECKSUM                           1E
 
 */


/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 
 CONSTANTS
 
 :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
#define START_DELIMITER                 0x7E
#define LENGTH_LSB                      2
#define CHECKSUM                        0xFF
#define IO_DATA_SAMPLE_API_PACKET_SIZE  22
#define BAUD_RATE                       9600

enum
{
	INVALID, VALID
};



