static inline void display_celsius( int *c );
static void display_fahrenheit( int *f );

/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 
 DISPLAY TEMPERATURE
 
 :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
void display_temperature( int *data )
{
	static int temp;
	
	if( ( *data >= 0 ) && ( *data <= 49 ) )
		temp = 45;
	
	if( ( *data >= 50 ) && ( *data <= 99 ) )
		temp = 40;
	
	if( ( *data >= 100 ) && ( *data <= 149 ) )
		temp = 35;
	
	if( ( *data >= 150 ) && ( *data <= 200 ) )
		temp = 30;
	
	if( ( *data >= 201 ) && ( *data <= 250 ) )
		temp = 25;
	
	if( ( *data >= 251 ) && ( *data <= 300 ) )
		temp = 20;
	
	if( ( *data >= 301 ) && ( *data <= 350 ) )
		temp = 15;
	
	if( ( *data >= 351 ) && ( *data <= 400 ) )
		temp = 10;
	
	if( ( *data >= 401 ) && ( *data <= 450 ) )
		temp = 5;
	
	if( ( *data >= 451 ) && ( *data <= 500 ) )
		temp = 0;
	
	display_celsius( &temp );
	
	display_fahrenheit( &temp );
}

/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 
 DISPLAY CELSIUS
 
 :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
static inline void display_celsius( int *c )
{
	Serial.print( *c );
	Serial.print( " (c) " );
}

/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 
 DISPLAY FAHRENHEIT
 
 :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
static inline void display_fahrenheit( int *f )
{
	Serial.print( ( ( 1.8 * *f ) + 32 ) );
	Serial.print( " (f) " );
}


